Summary: A GNU program for formatting C code.
Name: indent
Version: 2.2.9
Release: 6
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/indent/
Source: ftp://ftp.gnu.org/pub/gnu/indent-%{version}.tar.gz
Patch: indent-2.2.9-fix.patch
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.

%prep
%setup -q
%patch -p1

%build

%configure
export PATH=$PATH:.
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir $RPM_BUILD_ROOT/usr/bin/texinfo2man \
	$RPM_BUILD_ROOT/usr/doc/indent/indent.html

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code."

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).                 	 Program to format source code."
fi

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/indent
%{_mandir}/*/*
%{_infodir}/*


%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jan 03 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add a bugfix (copied from debian)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.2.9

* Wed Nov 27 2002 Elliot Lee <sopwith@redhat.com> 2.2.8-4
- Don't use wildcard on bindir

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Apr 25 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.2.8

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.7-3
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 28 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.2.7
- use find_lang for translations
- do not gzip man-page

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Nov 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.2.6

* Fri Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%makeinstall, %%{_infodir}, %%{_mandir} 
  and %%{_tmppath}
- don't use %%{_prefix}

* Wed May 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added URL
- remove manual stripping


* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- 2.2.5

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- 2.2.0

* Fri Jul 16 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.1

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.0.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- use install-info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
